<div class="main-content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-danger">
                        <h4 class="card-title">Modifier Utilisateur</h4>
                        <p >  </p>
                    </div>
                    <div class="card-body">
                    </div>
                    <div class="card-body">
                        <form [formGroup]="form">
                            <div class="selectt">
                                <label class="labelll"> Fonction</label> &nbsp;
                                <select  class="select" name="fonction" formControlName="fonctionId">
                                    <option value="" disabled>Choisi une fonction</option>
                                    <option *ngFor="let c of fonctionId" [ngValue]="c.id">
                                      {{c.libelle_fonction }}
                                    </option>
                                </select>
                                <span *ngIf="isValid('fonctionId')"> Champ fonction manquant</span>
                            </div><br/>
                            <div class="row">
                                <div class="col-md-6">
                                    <span> Nom </span> <br/>
                                    <mat-form-field class="example-full-width" >
                                        <input matInput formControlName="nom" type="text">
                                    </mat-form-field>
                                    <span *ngIf="isValid('nom')"> Champ nom manquant</span>
                                </div>
                                <div class="col-md-6">
                                    <span> Prénom </span> <br/>
                                    <mat-form-field class="example-full-width">
                                        <input matInput  formControlName="prenom" type="text">
                                    </mat-form-field>
                                    <span *ngIf="isValid('prenom')"> Champ prénom manquant</span>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4">
                                    <span> Email </span> <br/>
                                    <mat-form-field class="example-full-width">
                                        <input matInput  formControlName="email" type="email"
                                               ngModel [email]="true">
                                    </mat-form-field>
                                    <span *ngIf="isValid('email')"> Champ email manquant ou invalide </span>
                                </div>
                                <div class="col-md-4">
                                    <span> Téléphone </span> <br/>
                                    <mat-form-field class="example-full-width">
                                        <input matInput  formControlName="telephone" type="text">
                                    </mat-form-field>
                                    <span *ngIf="isValid('telephone')"> Champ téléphone manquant</span>
                                </div>
                                <div class="col-md-4">
                                    <span> Mot de passe </span> <br/>
                                    <mat-form-field class="example-full-width">
                                        <input matInput formControlName="mdp" type="text">
                                    </mat-form-field>
                                    <span *ngIf="isValid('mdp')"> Champ mot de passe manquant</span>
                                </div>
                                <div class="erreur">{{errorMessage}}</div>
<!--                                <div class="col-md-6">-->
<!--                                    <span> Date de Naissance </span> <br/>-->
<!--                                    <mat-form-field class="example-full-width">-->
<!--                                        <input matInput formControlName="date" type="date">-->
<!--                                    </mat-form-field>-->
<!--                                    <span *ngIf="isValid('date')"> Date de naissance manquant</span>-->
<!--                                </div>-->
                            </div>
<!--                            <div class="row">-->
<!--                            -->
<!--                            </div>-->
                            <button mat-raised-button type="reset" class="btn btn-danger pull-right" (click)="reset()" >Annuler </button>

                            <button mat-raised-button type="submit" class="btn btn-success pull-right"
                                    [disabled]="form.invalid" (click)="modifierUser()">Modifier</button>

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
